Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.templates
Class AVTPart

    java.lang.Object
      |
      +--weblogic.apache.xalan.templates.AVTPart

Direct Known Subclasses:
  AVTPartSimple, AVTPartXPath

public abstract class AVTPart
extends java.lang.Object
implements java.io.Serializable

Class to hold a part, either a string or XPath, of an Attribute Value Template.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Constructor Summary
`AVTPart()` Construct a part.

Method Summary
`boolean` | `canTraverseOutsideSubtree()` Tell if this expression or it's subexpressions can traverse outside the current subtree.
`abstract void` | `evaluate(XPathContext xctxt, FastStringBuffer buf, int context, PrefixResolver nsNode)` Write the evaluated value into the given string buffer.
`abstract void` | `fixupVariables(java.util.Vector vars, int globalsSize)` This function is used to fixup variables from QNames to stack frame indexes at stylesheet build time.
`abstract java.lang.String` | `getSimpleString()` Get the AVT part as the original string.
`void` | `setXPathSupport(XPathContext support)` Set the XPath support.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AVTPart

    public AVTPart()

  Construct a part.

Method Detail

### getSimpleString

    public abstract java.lang.String getSimpleString()

  Get the AVT part as the original string.

  Returns:
    the AVT part as the original string.

### evaluate

    public abstract void evaluate(XPathContext xctxt,
                                  FastStringBuffer buf,
                                  int context,
                                  PrefixResolver nsNode)
                           throws javax.xml.transform.TransformerException

  Write the evaluated value into the given string buffer.

  Parameters:
    `xctxt` - The XPath context to use to evaluate this AVT.
    `buf` - Buffer to write into.
    `context` - The current source tree context.
    `nsNode` - The current namespace context (stylesheet tree context).
    `NodeList` - The current Context Node List.
  Throws:
    javax.xml.transform.TransformerException -

### setXPathSupport

    public void setXPathSupport(XPathContext support)

  Set the XPath support.

  Parameters:
    `support` - XPathContext to set.

### canTraverseOutsideSubtree

    public boolean canTraverseOutsideSubtree()

  Tell if this expression or it's subexpressions can traverse outside the current subtree.

  Returns:
    true if traversal outside the context node's subtree can occur.

### fixupVariables

    public abstract void fixupVariables(java.util.Vector vars,
                                        int globalsSize)

  This function is used to fixup variables from QNames to stack frame indexes at stylesheet build time.

  Parameters:
    `vars` - List of QNames that correspond to variables. This list should be searched backwards for the first qualified name that corresponds to the variable reference qname. The position of the QName in the vector from the start of the vector will be its position in the stack frame (but variables above the globalsTop value will need to be offset to the current stack frame).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference